以太坊开发环境搭建

2.1所用命令

(1)sudo add-apt-repository ppa:<ppa_name>
(2)sudo apt-get update
(3)sudo apt-get install
(4)sudo aptitude install
(5)sudo npm install -g

2.2所装软件

(1)g++
(2)libssl-dev
(3)git
(4)geth
(5)Nodejs
(6)solc
(7)Truffle
(8)Ganache-cli

安装时软件包有未满足依赖关系

使用aptitude软件安装即可解决

拒绝连接

请求连接一个已经启动的节点时,系统提示connect:connection refused。应是端口被占用或其他原因,重新启动节点并换一个端口号即可解决。

安装最新的nodejs时失败(没有那个文件或目录)

删除/usr/local/n/versions即可解决:

创建创世块步骤繁琐

创世块不需要自己创建json文件再通过命令行一步一步创建创世块,只需要运行puppeth来生成创世区块。Puppeth是geth中自带的工具,不用单独安装,根据提示即可创建创世块。

参考

(1) 以太坊官网文档中文版:
https://www.cnblogs.com/lidonghao/p/8497145.html
(2) Web3.js手册:
http://cw.hubwiz.com/card/c/web3.js/1/6/5/
(3) Ubuntu 16.04 以太坊开发环境搭建:
https://www.cnblogs.com/lidonghao/p/8497145.html
(4)搭建以太坊私有链笔记:
https://www.jianshu.com/p/2c2671ff1d5f
(5)ubuntu16.04安装以太坊并运行:
https://blog.csdn.net/m0_37847176/article/details/82983519
(6)Ubuntu解决包依赖问题:
https://blog.csdn.net/Gerald_Jones/article/details/80806954
(7)ubuntu中总是提示无法获得锁 (资源暂时不可用) 进程被占用 解决办法:
https://blog.csdn.net/qq_38332436/article/details/82022092
(8)connection refused解决方案:
https://blog.csdn.net/TomHaveNoCat/article/details/82868336

发布了7 篇原创文章 · 获赞 0 · 访问量 64
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 1024 设计师: 上身试试

分享到微信朋友圈

×

扫一扫,手机浏览